complexType "InstrumentTradeDetails"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 13 elements
Defined: | globally in fpml-doc-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (primaryAssetClass?, secondaryAssetClass*, productType*, productId*, embeddedOptionType[0..2])?, buyerPartyReference?, buyerAccountReference?, sellerPartyReference?, sellerAccountReference?, underlyingAsset?, quantity?, pricing?, principal?
</...>

Content Model Elements (13):

  buyerAccountReference, buyerPartyReference (defined in BuyerSeller.model group), embeddedOptionType, pricing, primaryAssetClass (defined in Product.model group), principal (in instrumentTradeDetails), productId (defined in Product.model group), | productType (defined in Product.model group), quantity (in instrumentTradeDetails), secondaryAssetClass (defined in Product.model group), sellerAccountReference, sellerPartyReference (defined in BuyerSeller.model group), underlyingAsset

All Direct / Indirect Based Elements (1):

  instrumentTradeDetails

Known Usage Locations

- As direct type of elements (1):
  instrumentTradeDetails

Annotation
The economics of a trade of a multiply traded instrument.
Type Definition Detail

Type Derivation Tree Product (extension) InstrumentTradeDetails

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="InstrumentTradeDetails"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:group ref="BuyerSeller.model"/> <xsd:element minOccurs="0" ref="underlyingAsset"/> <xsd:element minOccurs="0" name="quantity" type="InstrumentTradeQuantity"/> <xsd:element minOccurs="0" name="pricing" type="InstrumentTradePricing"/> <xsd:element minOccurs="0" name="principal" type="InstrumentTradePrincipal"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/13)
pricing

  Type: | InstrumentTradePricing, complex content

  The price paid for the instrument.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="pricing" type="InstrumentTradePricing"/>

principal

  Type: | InstrumentTradePrincipal, complex content

  The value, in instrument currency, of the amount of the instrument that was traded.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="principal" type="InstrumentTradePrincipal"/>

quantity

  Type: | InstrumentTradeQuantity, complex content

  A description of how much of the instrument was traded.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="quantity" type="InstrumentTradeQuantity"/>

underlyingAsset

  Type: | Asset, empty content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 13 elements

  The FpML asset description for the asset.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" ref="underlyingAsset"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.